Skitflow
Generated

Mounts

Skitflow API reference for Mounts endpoints.

POST
/mounts.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mounts.create" \  -H "Content-Type: application/json" \  -d '{    "type": "bind",    "mountPath": "string",    "serviceId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mounts.remove

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mounts.remove" \  -H "Content-Type: application/json" \  -d '{    "mountId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/mounts.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

mountId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/mounts.one?mountId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mounts.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mounts.update" \  -H "Content-Type: application/json" \  -d '{    "mountId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}